CATMAN(8)

NOMBRE
catman - crea o actualiza las páginas de manual preformateadas

SINOPSIS
catman [-d?V] [-M ruta] [-C fichero] [sección] ...

DESCRIPCIÓN
catman se utiliza para crear un conjunto actualizado de páginas preformateadas de manual conocidas como páginas cat. Las páginas cat generalmente son mucho más rápidas de mostrar que las páginas del manaul originales, pero requieren espacio de almacenamiento adicional. La decisión de utilizar páginas cat es competencia del administrador local, el cual debe proporcionar directorios adecuados de alojarlas. Las opciones disponibles para catman son las jerarquías y secciones de páginas de manual para pre-formatear. Las jerarquías predeterminadas son aquellas especificadas en el fichero de configuración de la man-db, y las secciones predeterminadas son bien el contenido de la variable de entorno $MANSECT delimitado con dos puntos, bien el conjunto estnándar compilado en man si $MANSECT está indefinida. Proporcionar catman con un conjunto de nombres de sección delimitados con espacios en blanco anula las dos variables anteriores. catman utiliza la caché de base de datos de índices asociada con cada jerarquía para determinar qué ficheros es preciso formatear.

OPCIONES

-d, --debug
    Escribe información de depuración.

-M ruta, --manpath=ruta
    Especifica una ruta de búsqueda alternativa de jerarquías de páginas de manual delimitadas por dos puntos. Lo predefinido es todas las rutas indicadas como jerarquías del distema en el fichero de configuración de man-db.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario en lugar del predeterminado según ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ENTORNO

MANSECT
    Si $MANSECT está establecido, su valor es una lista de secciones delimitadas por dos puntos y se emplea para determinar en qué secciones de manual buscar y en qué orden. Lo predeterminado es "1 1p 8 2 3 3p 4 5 6 7 9 0p tcl n l p o 1x 2x 3x 4x 5x 6x 7x 8x", salvo que esté anulado por la directiva SECCIÓN en /etc/man_db.conf.

MANPATH
    Si se establece $MANPATH, su valor se interpreta como la ruta de búsqueda de jerarquía de páginas de manual delimitadas por dos puntos.

FICHEROS

/etc/man_db.conf
    fichero de configuración de man-db.

/usr/man/index.(bt|db|dir|pag)
    Una caché de BD indexada global tradicional.

/var/catman/index.(bt|db|dir|pag)
    Un caché de base de datos de índices global alternativa o compatible FSSTND.

VÉASE TAMBIÉN
man(1), manpath(5), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).